<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>macOS 下 MongoDB 配置与使用 | Kim&#39;s Blog</title>
    <meta name="generator" content="VuePress 1.5.3">
    
    <meta name="description" content="blog">
    <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no">
    <link rel="preload" href="/assets/css/0.styles.8c6d67fa.css" as="style"><link rel="preload" href="/assets/js/app.f79aaf1b.js" as="script"><link rel="preload" href="/assets/js/3.40949213.js" as="script"><link rel="preload" href="/assets/js/1.45cdc0bc.js" as="script"><link rel="preload" href="/assets/js/18.7d220266.js" as="script"><link rel="prefetch" href="/assets/js/10.eccaa533.js"><link rel="prefetch" href="/assets/js/11.69480268.js"><link rel="prefetch" href="/assets/js/12.3c3411c1.js"><link rel="prefetch" href="/assets/js/13.d6c60239.js"><link rel="prefetch" href="/assets/js/14.5898e3f3.js"><link rel="prefetch" href="/assets/js/15.770338a8.js"><link rel="prefetch" href="/assets/js/16.468a7f02.js"><link rel="prefetch" href="/assets/js/17.ece8c611.js"><link rel="prefetch" href="/assets/js/19.d217c03d.js"><link rel="prefetch" href="/assets/js/20.501166b7.js"><link rel="prefetch" href="/assets/js/4.ff278163.js"><link rel="prefetch" href="/assets/js/5.63826204.js"><link rel="prefetch" href="/assets/js/6.2d9a86c7.js"><link rel="prefetch" href="/assets/js/7.f3b13efb.js"><link rel="prefetch" href="/assets/js/8.c3cc9275.js"><link rel="prefetch" href="/assets/js/9.ce4f607d.js">
    <link rel="stylesheet" href="/assets/css/0.styles.8c6d67fa.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container no-sidebar" data-v-dad8a512><div data-v-dad8a512><div id="loader-wrapper" class="loading-wrapper" data-v-d48f4d20 data-v-dad8a512 data-v-dad8a512><div class="loader-main" data-v-d48f4d20><div data-v-d48f4d20></div><div data-v-d48f4d20></div><div data-v-d48f4d20></div><div data-v-d48f4d20></div></div> <!----> <!----></div> <div class="password-shadow password-wrapper-out" style="display:none;" data-v-64685f0e data-v-dad8a512 data-v-dad8a512><h3 class="title" style="display:none;" data-v-64685f0e data-v-64685f0e>Kim's Blog</h3> <!----> <label id="box" class="inputBox" style="display:none;" data-v-64685f0e data-v-64685f0e><input type="password" value="" data-v-64685f0e> <span data-v-64685f0e>Konck! Knock!</span> <button data-v-64685f0e>OK</button></label> <div class="footer" style="display:none;" data-v-64685f0e data-v-64685f0e><span data-v-64685f0e><i class="iconfont reco-theme" data-v-64685f0e></i> <a target="blank" href="https://vuepress-theme-reco.recoluan.com" data-v-64685f0e>vuePress-theme-reco</a></span> <span data-v-64685f0e><i class="iconfont reco-copyright" data-v-64685f0e></i> <a data-v-64685f0e><span data-v-64685f0e>Kim's Blog</span>
            
          <!---->
          2020
        </a></span></div></div> <div class="hide" data-v-dad8a512><header class="navbar" data-v-dad8a512><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/" class="home-link router-link-active"><!----> <span class="site-name">Kim's Blog</span></a> <div class="links"><!----> <div class="search-box"><i class="iconfont reco-search"></i> <input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <nav class="nav-links can-hide"><div class="nav-item"><a href="/" class="nav-link"><i class="iconfont reco-home"></i>
  Home
</a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont reco-category"></i>
      Category
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="/categories/工作室分享/" class="nav-link"><i class="iconfont undefined"></i>
  工作室分享
</a></li><li class="dropdown-item"><!----> <a href="/categories/iOS 开发/" class="nav-link"><i class="iconfont undefined"></i>
  iOS 开发
</a></li><li class="dropdown-item"><!----> <a href="/categories/前端那些事儿/" class="nav-link"><i class="iconfont undefined"></i>
  前端那些事儿
</a></li><li class="dropdown-item"><!----> <a href="/categories/系统环境/" class="nav-link"><i class="iconfont undefined"></i>
  系统环境
</a></li><li class="dropdown-item"><!----> <a href="/categories/值得了解的骚操作/" class="nav-link"><i class="iconfont undefined"></i>
  值得了解的骚操作
</a></li><li class="dropdown-item"><!----> <a href="/categories/Apple/" class="nav-link"><i class="iconfont undefined"></i>
  Apple
</a></li></ul></div></div><div class="nav-item"><a href="/tag/" class="nav-link"><i class="iconfont reco-tag"></i>
  Tag
</a></div><div class="nav-item"><a href="/timeline/" class="nav-link"><i class="iconfont reco-date"></i>
  TimeLine
</a></div><div class="nav-item"><a href="/friends.html" class="nav-link"><i class="iconfont reco-github"></i>
  Friends
</a></div><div class="nav-item"><a href="https://github.com/KimYangOfCat" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-github"></i>
  GitHub
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont undefined"></i>
      other
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="https://www.zhihu.com/people/kim_yang" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-zhihu"></i>
  知乎
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-csdn"></i>
  CSDN
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-mayun"></i>
  Gitee
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li></ul></div></div> <!----></nav></div></header> <div class="sidebar-mask" data-v-dad8a512></div> <aside class="sidebar" data-v-dad8a512><div class="personal-info-wrapper" data-v-ca798c94 data-v-dad8a512><img src="/avatar.jpg" alt="author-avatar" class="personal-img" data-v-ca798c94> <h3 class="name" data-v-ca798c94>
    Kim's Blog
  </h3> <div class="num" data-v-ca798c94><div data-v-ca798c94><h3 data-v-ca798c94>8</h3> <h6 data-v-ca798c94>Article</h6></div> <div data-v-ca798c94><h3 data-v-ca798c94>10</h3> <h6 data-v-ca798c94>Tag</h6></div></div> <hr data-v-ca798c94></div> <nav class="nav-links"><div class="nav-item"><a href="/" class="nav-link"><i class="iconfont reco-home"></i>
  Home
</a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont reco-category"></i>
      Category
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="/categories/工作室分享/" class="nav-link"><i class="iconfont undefined"></i>
  工作室分享
</a></li><li class="dropdown-item"><!----> <a href="/categories/iOS 开发/" class="nav-link"><i class="iconfont undefined"></i>
  iOS 开发
</a></li><li class="dropdown-item"><!----> <a href="/categories/前端那些事儿/" class="nav-link"><i class="iconfont undefined"></i>
  前端那些事儿
</a></li><li class="dropdown-item"><!----> <a href="/categories/系统环境/" class="nav-link"><i class="iconfont undefined"></i>
  系统环境
</a></li><li class="dropdown-item"><!----> <a href="/categories/值得了解的骚操作/" class="nav-link"><i class="iconfont undefined"></i>
  值得了解的骚操作
</a></li><li class="dropdown-item"><!----> <a href="/categories/Apple/" class="nav-link"><i class="iconfont undefined"></i>
  Apple
</a></li></ul></div></div><div class="nav-item"><a href="/tag/" class="nav-link"><i class="iconfont reco-tag"></i>
  Tag
</a></div><div class="nav-item"><a href="/timeline/" class="nav-link"><i class="iconfont reco-date"></i>
  TimeLine
</a></div><div class="nav-item"><a href="/friends.html" class="nav-link"><i class="iconfont reco-github"></i>
  Friends
</a></div><div class="nav-item"><a href="https://github.com/KimYangOfCat" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-github"></i>
  GitHub
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont undefined"></i>
      other
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="https://www.zhihu.com/people/kim_yang" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-zhihu"></i>
  知乎
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-csdn"></i>
  CSDN
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-mayun"></i>
  Gitee
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li></ul></div></div> <!----></nav> <!----> </aside> <div class="password-shadow password-wrapper-in" style="display:none;" data-v-64685f0e data-v-dad8a512><h3 class="title" style="display:none;" data-v-64685f0e data-v-64685f0e>macOS 下 MongoDB 配置与使用</h3> <!----> <label id="box" class="inputBox" style="display:none;" data-v-64685f0e data-v-64685f0e><input type="password" value="" data-v-64685f0e> <span data-v-64685f0e>Konck! Knock!</span> <button data-v-64685f0e>OK</button></label> <div class="footer" style="display:none;" data-v-64685f0e data-v-64685f0e><span data-v-64685f0e><i class="iconfont reco-theme" data-v-64685f0e></i> <a target="blank" href="https://vuepress-theme-reco.recoluan.com" data-v-64685f0e>vuePress-theme-reco</a></span> <span data-v-64685f0e><i class="iconfont reco-copyright" data-v-64685f0e></i> <a data-v-64685f0e><span data-v-64685f0e>Kim's Blog</span>
            
          <!---->
          2020
        </a></span></div></div> <div data-v-dad8a512><main class="page"><div class="page-title" style="display:none;"><h1>macOS 下 MongoDB 配置与使用</h1> <div data-v-3b7f5bdf><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-10-18</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>环境配置</span><span class="tag-item" data-v-3b7f5bdf>前端</span><span class="tag-item" data-v-3b7f5bdf>数据库</span></i></div></div> <div class="theme-reco-content content__default" style="display:none;"><p><strong>最后更新时间：2020 年 1 月 30 日</strong></p> <hr> <p><a href="https://www.mongodb.com/" target="_blank" rel="noopener noreferrer">MongoDB<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a> 是一个基于分布式文件存储的数据库，是目前前端开发中使用较多的非关系数据库之一。</p> <h2 id="下载"><a href="#下载" class="header-anchor">#</a> 下载</h2> <h3 id="官网下载"><a href="#官网下载" class="header-anchor">#</a> 官网下载</h3> <p><a href="https://www.mongodb.com/download-center/enterprise" target="_blank" rel="noopener noreferrer">官网下载地址<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a>，如下图，选择你所需要的 MongoDB 版本就好</p> <p><img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzea6mb17j31hm0u045g.jpg" alt="官网下载选择界面"></p> <p>下载完成以后，打开下载的压缩包，解压后的文件目录大致如下：</p> <p><img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzea7xjunj313q0lk7bs.jpg" alt="文件结构"></p> <p>其中 bin 文件夹下存放的都是 mongoDB 的命令，接下来我们三步配置</p> <ul><li>构建目录结构：在 mongoDB 文件夹下新建 <code>data</code> 文件夹；然后在 <code>data</code> 文件夹下新建 <code>db</code>、<code>logs</code> 和 <code>etc</code> 三个文件夹分别用于存放数据、输出日志和环境配置；然后在 <code>logs</code> 文件夹下建立 <code>mongodb.log</code> 文件，在 <code>etc</code> 下新建 <code>mongo.conf</code></li></ul> <p><img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzea8z8lkj317a0rmqa7.jpg" alt="修改后的文件结构"></p> <ul><li>编辑 <code>mongo.conf</code> ：</li></ul> <div class="language-bash extra-class"><pre class="language-bash"><code><span class="token comment">#数据库路径(找到你自己刚才新建的 db 文件夹的绝对路径)</span>
<span class="token assign-left variable">dbpath</span><span class="token operator">=</span>/Users/zhangsan/Documents/mongodb-macos-x86_64-4.2.0/data/db
<span class="token comment">#日志输出文件路径（找到你自己刚才新建的 mongodb.log 文件夹的绝对路径）</span>
<span class="token assign-left variable">logpath</span><span class="token operator">=</span>/Users/zhangsan/Documents/mongodb-macos-x86_64-4.2.0/data/logs/mongodb.log
<span class="token comment">#错误日志采用追加模式，配置这个选项后mongodb的日志会追加到现有的日志文件，而不是从新创建一个新文件</span>
<span class="token assign-left variable">logappend</span><span class="token operator">=</span>true
<span class="token comment">#启用日志文件，默认启用</span>
<span class="token assign-left variable">journal</span><span class="token operator">=</span>true
<span class="token comment">#这个选项可以过滤掉一些无用的日志信息，若需要调试使用请设置为false</span>
<span class="token assign-left variable">quiet</span><span class="token operator">=</span>false
<span class="token comment">#是否后台启动，有这个参数，就可以实现后台运行</span>
<span class="token assign-left variable">fork</span><span class="token operator">=</span>false
<span class="token comment">#端口号 默认为27017</span>
<span class="token assign-left variable">port</span><span class="token operator">=</span><span class="token number">27017</span>
</code></pre></div><ul><li>配置环境变量：</li></ul> <p>在这里我使用的 <code>zsh</code> 终端，所以仅言明 <code>zsh</code> 的配置方法:
* 打开并编辑 <code>.zshrc</code> 文件：<code>vim ~/.zshrc</code>, 添加内容如下：</p> <div class="language-bash extra-class"><pre class="language-bash"><code>    <span class="token comment"># mongodb</span>
    <span class="token builtin class-name">export</span> <span class="token assign-left variable"><span class="token environment constant">PATH</span></span><span class="token operator">=</span>/Users/zhangsan/Documents/mongodb-macos-x86_64-4.2.0/bin:<span class="token variable">${<span class="token environment constant">PATH</span>}</span>
    <span class="token comment">#记得把上边路径换成你自己的 bin 文件夹的绝对路径</span>
</code></pre></div><ul><li>重启 <code>zsh</code> 服务 <code>source ~/.zshrc</code></li></ul> <p>至此 mongodb 配置完毕，来尝试启动一下吧！</p> <div class="language-bash extra-class"><pre class="language-bash"><code><span class="token comment"># 启动命令：</span>
mongod -f /Users/zhangsan/Documents/mongodb-macos-x86_64-4.2.0/data/etc/mongo.conf
<span class="token comment"># 或者</span>
mongod --config  /Users/zhangsan/Documents/mongodb-macos-x86_64-4.2.0/data/etc/mongo.conf
</code></pre></div><p>启动之后，可以尝试使用一些可视化工具连接一下，此处推荐 <a href="https://robomongo.org/download" target="_blank" rel="noopener noreferrer">Robo 3T<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></p> <p><img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzea9w2m9j31uj0u011t.jpg" alt="Robo 3T"></p> <p><strong>一定要记得 添加 -f 或者 --config 参数并指明 mongo.config 文件的绝对路径</strong> 不然，你之前配置的 mongo.conf 文件就没有作用了</p> <hr> <p><strong>注意下面的方法已经失效</strong></p> <hr> <h3 id="homebrew-下载"><a href="#homebrew-下载" class="header-anchor">#</a> Homebrew 下载</h3> <p>使用 macOS 上最好用的包管理工具 <a href="https://brew.sh/" target="_blank" rel="noopener noreferrer">Homebrew<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a> 下载。</p> <p><strong>一行命令下载 Homebrew：</strong> <code>/usr/bin/ruby -e &quot;$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)&quot;</code></p> <p><strong>在 Homebrew 中搜索可下载版本：</strong><code>brew search mongodb</code> <img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzeaabs1ij30q00batjj.jpg" alt=""></p> <p>**在 Homebrew 中下载你需要的版本：**例如：<code>brew install mongodb</code></p> <p>等待安装完成就好。使用 Homebrew 安装的好处就在于不用关心环境配置</p> <hr> <p><strong>经过实际验证，现在 Homebrew 似乎已经不支持 mongodb 的下载了，不知道具体原因，也许是我个人环境造成的。</strong></p> <p><img src="https://tva1.sinaimg.cn/large/0082zybpgy1gbzeabsimkj312u0g01ec.jpg" alt="不能下载了"></p></div> <footer class="page-edit" style="display:none;"><!----> <!----></footer> <!----> <!----> <!----></main> <!----></div></div></div></div><div class="global-ui"><div class="back-to-ceiling" style="right:1rem;bottom:6rem;width:2.5rem;height:2.5rem;border-radius:.25rem;line-height:2.5rem;display:none;" data-v-c6073ba8 data-v-c6073ba8><svg t="1574745035067" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="5404" class="icon" data-v-c6073ba8><path d="M526.60727968 10.90185116a27.675 27.675 0 0 0-29.21455937 0c-131.36607665 82.28402758-218.69155461 228.01873535-218.69155402 394.07834331a462.20625001 462.20625001 0 0 0 5.36959153 69.94390903c1.00431239 6.55289093-0.34802892 13.13561351-3.76865779 18.80351572-32.63518765 54.11355614-51.75690182 118.55860487-51.7569018 187.94566865a371.06718723 371.06718723 0 0 0 11.50484808 91.98906777c6.53300375 25.50556257 41.68394495 28.14064038 52.69160883 4.22606766 17.37162448-37.73630017 42.14135425-72.50938081 72.80769204-103.21549295 2.18761121 3.04276886 4.15646224 6.24463696 6.40373557 9.22774369a1871.4375 1871.4375 0 0 0 140.04691725 5.34970492 1866.36093723 1866.36093723 0 0 0 140.04691723-5.34970492c2.24727335-2.98310674 4.21612437-6.18497483 6.3937923-9.2178004 30.66633723 30.70611158 55.4360664 65.4791928 72.80769147 103.21549355 11.00766384 23.91457269 46.15860503 21.27949489 52.69160879-4.22606768a371.15156223 371.15156223 0 0 0 11.514792-91.99901164c0-69.36717486-19.13165746-133.82216804-51.75690182-187.92578088-3.42062944-5.66790279-4.76302748-12.26056868-3.76865837-18.80351632a462.20625001 462.20625001 0 0 0 5.36959269-69.943909c-0.00994388-166.08943902-87.32547796-311.81420293-218.6915546-394.09823051zM605.93803103 357.87693858a93.93749974 93.93749974 0 1 1-187.89594924 6.1e-7 93.93749974 93.93749974 0 0 1 187.89594924-6.1e-7z" p-id="5405" data-v-c6073ba8></path><path d="M429.50777625 765.63860547C429.50777625 803.39355007 466.44236686 1000.39046097 512.00932183 1000.39046097c45.56695499 0 82.4922232-197.00623328 82.5015456-234.7518555 0-37.75494459-36.9345906-68.35043303-82.4922232-68.34111062-45.57627738-0.00932239-82.52019037 30.59548842-82.51086798 68.34111062z" p-id="5406" data-v-c6073ba8></path></svg></div></div></div>
    <script src="/assets/js/app.f79aaf1b.js" defer></script><script src="/assets/js/3.40949213.js" defer></script><script src="/assets/js/1.45cdc0bc.js" defer></script><script src="/assets/js/18.7d220266.js" defer></script>
  </body>
</html>
